Package ru.bitel.bgbilling.modules.agr.server.bean

# Class AGRRequest

java.lang.Object
ru.bitel.bgbilling.modules.agr.server.bean.AGRRequest

    public class AGRRequest
    extends java.lang.Object

Модель запроса от ПС AGR, содержащая все входящие параметры

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AGRRequest()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AGRAction` | `getAction()` | Получение выполняемого действия
  `java.lang.String` | `getAgrTransId()` | Получение ID платежа в системе AGR
  `AGREnvironment` | `getEnvironment()` | Получение: боевая ("live") или тестовая среда ("sandbox")
  `java.util.Date` | `getFrom()` | Получение даты С для отчета по платежам
  `java.math.BigDecimal` | `getMerchantTransAmount()` | Получение суммы оплаты
  `java.lang.String` | `getMerchantTransId()` | Получение ID лицевого счета в биллинге
  `int` | `getPaymentId()` | Получение id платежной системы в AGR
  `java.lang.String` | `getPaymentName()` | Получение названия платежной системы в agr.
  `java.lang.String` | `getSignString()` | Получение строки с подписью запроса.
  `java.lang.Long` | `getSignTime()` | Получение времени в миллисекундах
  `TransactionStatus` | `getStatus()` | Получение статуса транзакции: оплачено (2) или отменено (3)
  `java.util.Date` | `getTo()` | Получение даты ПО для отчета по платежам
  `int` | `getVendorId()` | Получение id поставщика в AGR
  `long` | `getVendorTransId()` |
  `static AGRRequest` | `parseRequest​(java.lang.String jsonString, java.lang.String pathInfo)` | Из входной json-строки получаем на выходе распарсенный по полям запрос
  `void` | `setAction​(AGRAction action)` |
  `void` | `setAgrTransId​(java.lang.String agrTransId)` |
  `void` | `setEnvironment​(AGREnvironment environment)` |
  `void` | `setFrom​(java.util.Date from)` |
  `void` | `setMerchantTransAmount​(java.math.BigDecimal merchantTransAmount)` |
  `void` | `setMerchantTransId​(java.lang.String merchantTransId)` |
  `void` | `setPaymentId​(int paymentId)` |
  `void` | `setPaymentName​(java.lang.String paymentName)` |
  `void` | `setSignString​(java.lang.String signString)` |
  `void` | `setSignTime​(java.lang.Long signTime)` |
  `void` | `setStatus​(TransactionStatus status)` |
  `void` | `setTo​(java.util.Date to)` |
  `void` | `setVendorId​(int vendorId)` |
  `void` | `setVendorTransId​(long vendorTransId)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGRRequest

    public AGRRequest()

- ## Method Details

  - ### parseRequest

    public static AGRRequest parseRequest​(java.lang.String jsonString, java.lang.String pathInfo) throws AGRException
    Из входной json-строки получаем на выходе распарсенный по полям запрос
    Parameters:
      `jsonString` - json-строка с запросом
      `pathInfo` - часть пути в url, содержащая в себе mid и название действия запроса
    Returns:
      распарсенный запрос в виде AGRRequest
    Throws:
      `AGRException`

  - ### getAction

    public AGRAction getAction()
    Получение выполняемого действия

  - ### getMerchantTransId

    public java.lang.String getMerchantTransId()
    Получение ID лицевого счета в биллинге

  - ### getSignTime

    public java.lang.Long getSignTime()
    Получение времени в миллисекундах

  - ### getSignString

    public java.lang.String getSignString()
    Получение строки с подписью запроса.

  - ### getPaymentName

    public java.lang.String getPaymentName()
    Получение названия платежной системы в agr.

  - ### getAgrTransId

    public java.lang.String getAgrTransId()
    Получение ID платежа в системе AGR

  - ### getMerchantTransAmount

    public java.math.BigDecimal getMerchantTransAmount()
    Получение суммы оплаты

  - ### getEnvironment

    public AGREnvironment getEnvironment()
    Получение: боевая ("live") или тестовая среда ("sandbox")

  - ### getStatus

    public TransactionStatus getStatus()
    Получение статуса транзакции: оплачено (2) или отменено (3)

  - ### getFrom

    public java.util.Date getFrom()
    Получение даты С для отчета по платежам

  - ### getTo

    public java.util.Date getTo()
    Получение даты ПО для отчета по платежам

  - ### getVendorTransId

    public long getVendorTransId()

  - ### getPaymentId

    public int getPaymentId()
    Получение id платежной системы в AGR

  - ### getVendorId

    public int getVendorId()
    Получение id поставщика в AGR

  - ### setAction

    public void setAction​(AGRAction action)

  - ### setMerchantTransId

    public void setMerchantTransId​(java.lang.String merchantTransId)

  - ### setSignTime

    public void setSignTime​(java.lang.Long signTime)

  - ### setSignString

    public void setSignString​(java.lang.String signString)

  - ### setPaymentName

    public void setPaymentName​(java.lang.String paymentName)

  - ### setAgrTransId

    public void setAgrTransId​(java.lang.String agrTransId)

  - ### setMerchantTransAmount

    public void setMerchantTransAmount​(java.math.BigDecimal merchantTransAmount)

  - ### setVendorTransId

    public void setVendorTransId​(long vendorTransId)

  - ### setEnvironment

    public void setEnvironment​(AGREnvironment environment)

  - ### setStatus

    public void setStatus​(TransactionStatus status)

  - ### setFrom

    public void setFrom​(java.util.Date from)

  - ### setTo

    public void setTo​(java.util.Date to)

  - ### setVendorId

    public void setVendorId​(int vendorId)

  - ### setPaymentId

    public void setPaymentId​(int paymentId)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`